searchNodes=[{"doc":"Toolset for working with the PGP word list. Allows converting hex to / from words. The word list itself belongs to PGP Corporation.","ref":"PgpWordlist.html","title":"PgpWordlist","type":"module"},{"doc":"Converts a 2 digit hex string (with uppercase letters) and even / odd position into a word on the PGP word list. pos is the 0-based index of the hex. There are two words assigned to each hex value with pos determining which word to use based on if it is even or odd. Examples iex&gt; PgpWordlist.hex_to_word(&quot;00&quot;, 0) {:ok, &quot;aardvark&quot;} iex&gt; PgpWordlist.hex_to_word(&quot;00&quot;, 1) {:ok, &quot;adroitness&quot;} iex&gt; PgpWordlist.hex_to_word(&quot;00&quot;, 2) {:ok, &quot;aardvark&quot;} iex&gt; PgpWordlist.hex_to_word(&quot;FF&quot;, 0) {:ok, &quot;Zulu&quot;} iex&gt; PgpWordlist.hex_to_word(&quot;FF&quot;, 1) {:ok, &quot;Yucatan&quot;} iex&gt; PgpWordlist.hex_to_word(&quot;FF&quot;, 33) {:ok, &quot;Yucatan&quot;} iex&gt; PgpWordlist.hex_to_word(&quot;1&quot;, 1) {:error, &quot;Hex must be 2 bytes long (&#39;01&#39; instead of &#39;1&#39;)&quot;} iex&gt; PgpWordlist.hex_to_word(&quot;XX&quot;, 1) {:error, &quot;Not valid hex&quot;}","ref":"PgpWordlist.html#hex_to_word/2","title":"PgpWordlist.hex_to_word/2","type":"function"},{"doc":"Converts an even length hex string to list of words Any errors encountered during converting any item will be returned immediately without aggregation Examples iex&gt; PgpWordlist.hex_to_words(&quot;00&quot;) {:ok, [&quot;aardvark&quot;]} iex&gt; PgpWordlist.hex_to_words(&quot;E582&quot;) {:ok, [&quot;topmost&quot;, &quot;Istanbul&quot;]} iex&gt; PgpWordlist.hex_to_words(&quot;82E5&quot;) {:ok, [&quot;miser&quot;, &quot;travesty&quot;]} iex&gt; PgpWordlist.hex_to_words(&quot;82XXE5&quot;) {:error, &quot;Not valid hex&quot;} iex&gt; PgpWordlist.hex_to_words(&quot;&quot;) {:ok, []} iex&gt; PgpWordlist.hex_to_words(&quot;00F&quot;) {:error, &quot;Hex must be an even amount of bytes long&quot;}","ref":"PgpWordlist.html#hex_to_words/1","title":"PgpWordlist.hex_to_words/1","type":"function"},{"doc":"Converts a word to a hex based on the PGP word list. Will handle different cases of words and return hex with uppercase letters. Examples iex&gt; PgpWordlist.word_to_hex(&quot;AARDVARK&quot;) {:ok, &quot;00&quot;} iex&gt; PgpWordlist.word_to_hex(&quot;aardvark&quot;) {:ok, &quot;00&quot;} iex&gt; PgpWordlist.word_to_hex(&quot;AardVaRk&quot;) {:ok, &quot;00&quot;} iex&gt; PgpWordlist.word_to_hex(&quot;woodlark&quot;) {:ok, &quot;FE&quot;} iex&gt; PgpWordlist.word_to_hex(&quot;Windsor&quot;) {:error, &quot;Word does not exist in PGP specification&quot;}","ref":"PgpWordlist.html#word_to_hex/1","title":"PgpWordlist.word_to_hex/1","type":"function"},{"doc":"Converts a list of words to hex based on the PGP word list Any errors encountered during converting any item will be returned immediately without aggregation Examples iex&gt; PgpWordlist.words_to_hex([&quot;topmost&quot;, &quot;Istanbul&quot;, &quot;Pluto&quot;, &quot;vagabond&quot;]) {:ok, &quot;E58294F2&quot;} iex&gt; PgpWordlist.words_to_hex([&quot;miser&quot;, &quot;travesty&quot;]) {:ok, &quot;82E5&quot;} iex&gt; PgpWordlist.words_to_hex([]) {:ok, &quot;&quot;} iex&gt; PgpWordlist.words_to_hex([&quot;Windsor&quot;]) {:error, &quot;Word does not exist in PGP specification&quot;} iex&gt; PgpWordlist.words_to_hex([&quot;miser&quot;, &quot;Windsor&quot;]) {:error, &quot;Word does not exist in PGP specification&quot;}","ref":"PgpWordlist.html#words_to_hex/1","title":"PgpWordlist.words_to_hex/1","type":"function"},{"doc":"PgpWordlist Library for converting hex to / from the PGP word list. Word source: https://en.wikipedia.org/wiki/PGP_word_list","ref":"readme.html","title":"PgpWordlist","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding pgp_wordlist to your list of dependencies in mix.exs: def deps do [ {:pgp_wordlist, &quot;~&gt; 0.3.0&quot;} ] end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/pgp_wordlist.","ref":"readme.html#installation","title":"PgpWordlist - Installation","type":"extras"}]